Bank accounts
Get Bank Accounts
GET
header
AuthorizationBearer <token>Scope: bank-accounts:read
All bank accounts for the subaccount in context. Wrapped in data; this list is not paginated.
application/json- response
data*array<>curl -X GET 'https://api.betaramps.com/bank-accounts'Example Response
{ "data": [ { "id": "bnk_0192f5a0-1a2b-7c3d-8e4f-5a6b7c8d9e01", "account_id": "acc_0192f4e0-1a2b-7c3d-8e4f-5a6b7c8d9e01", "subaccount_id": "sub_0192f4e3-8a9b-7c6d-5e4f-3a2b1c0d9e8f", "asset": "BRL", "network": "pix", "bank_type": "external", "bank_name": "Banco do Brasil", "bank_code": "001", "branch": "0001", "account": "1234567-8", "account_holder_name": "Acme Serviços Ltda", "account_holder_type": "company", "bank_address": "Av. Paulista 1000", "bank_city": "São Paulo", "bank_state": "SP", "bank_postal_code": "01310-100", "instant_payment": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "instant_payment_type": "evp", "country": "BR", "deposit_reference": "Invoice 4471", "compliance_status": "approved", "is_active": true, "autoexchange": false, "created_at": "2026-10-31T12:00:00Z", "updated_at": "2026-10-31T12:00:00Z" } ]}